#! /usr/bin/perl
##
## Produce test programs for the specified directories.
##
## For each specified directory, apply the creator.pl to produce test
## programs.
##
## Command-line argument:
## 1. the Pooma root directory
##
## Standard input:
## the Pooma subdirectories

die("missing Pooma root\n") unless @ARGV;
$PoomaRoot = shift;
while (<ARGV>)
{
    chop;
    $directory = $_;
    $lowerDirectory = $directory;
    $lowerDirectory =~ tr/[A-Z]/[a-z]/;
    print("mkdir -p $lowerDirectory && cd $lowerDirectory && ../creator.pl ${PoomaRoot} src/$directory/tests/ ../template.qmt && cd ..\n");
}
